Namespaces
IWORKTabularModelElement.cpp File Reference
`#include "IWORKTabularModelElement.h"`
`#include <cassert>`
`#include <ctime>`
`#include <memory>`
`#include <sstream>`
`#include <boost/lexical_cast.hpp>`
`#include "libetonyek_xml.h"`
`#include "IWORKCollector.h"`
`#include "IWORKDictionary.h"`
`#include "IWORKFormatElement.h"`
`#include "IWORKFormulaElement.h"`
`#include "IWORKProperties.h"`
`#include "IWORKRefContext.h"`
`#include "IWORKStyle.h"`
`#include "IWORKTable.h"`
`#include "IWORKText.h"`
`#include "IWORKTextStorageElement.h"`
`#include "IWORKToken.h"`
`#include "IWORKXMLParserState.h"`
`#include "IWORKXMLContextBase.h"`

## Namespaces
| libetonyek

## Variable Documentation

## ◆ m_contentMap

IWORKContentMap_t m_contentMap
| private

## ◆ m_count

optional<unsigned> m_count
| private

## ◆ m_dateTimeFormat

optional<IWORKDateTimeFormat> m_dateTimeFormat
| private

## ◆ m_durationFormat

optional<IWORKDurationFormat> m_durationFormat
| private

## ◆ m_gridlineIndex_

optional<unsigned> m_gridlineIndex_
| private

## ◆ m_gridLines

IWORKGridLineMap_t& m_gridLines
| private

## ◆ m_id

boost::optional<std::string> m_id
| private

## ◆ m_isResult

bool m_isResult
| protected

## ◆ m_line

IWORKGridLine_t m_line
| private

## ◆ m_maxLines

unsigned m_maxLines
| private

## ◆ m_numberFormat

optional<IWORKNumberFormat> m_numberFormat
| private

## ◆ m_ref

boost::optional<ID_t> m_ref
| protected

## ◆ m_resultRef

boost::optional<ID_t> m_resultRef
| private

## ◆ m_startIndex

optional<unsigned> m_startIndex
| private

## ◆ m_stopIndex

optional<unsigned> m_stopIndex
| private

## ◆ m_styleRef

boost::optional<ID_t> m_styleRef
| private